import { EventEmitter } from "../../../stencil-public-runtime";
import { Criteria } from "selectively";
import * as langly from "langly";
import { Notice } from "smoothly";
import { Order } from "@payfunc/model";
export declare class PortalDisplayDeferList {
  element: HTMLElement;
  t: langly.Translate;
  ordersFiltered?: Order[];
  orders: Order[];
  filter: Criteria;
  notice: EventEmitter<Notice>;
  updateOrder: EventEmitter;
  componentWillLoad(): void;
  filterUpdated(): void;
  filterAndSort(orders?: Order[]): Order[] | undefined;
  handleCancel(event: CustomEvent): Promise<void>;
  render(): any;
}
